body {
    margin: 0;
    font-family: Arial;
    color: white;
}

/* animated bg */
.bg {
    position: fixed;
    width: 100%;
    height: 100%;
    background: linear-gradient(270deg,#667eea,#764ba2,#ff7eb3);
    background-size: 600% 600%;
    animation: move 10s infinite;
    z-index: -1;
}

@keyframes move {
    0% {background-position:0%}
    50% {background-position:100%}
    100% {background-position:0%}
}

.container {
    display:flex;
    justify-content:center;
    align-items:center;
    height:100vh;
}

.card {
    width:600px;
    padding:20px;
    border-radius:20px;
    backdrop-filter: blur(15px);
    background: rgba(255,255,255,0.1);
}

/* inputs */
.api-box {
    display:flex;
    gap:10px;
}

input {
    flex:1;
    padding:10px;
    border-radius:10px;
    border:none;
}

/* language bar */
.lang-bar {
    display:flex;
    justify-content:space-between;
    margin:10px 0;
}

/* text boxes */
.box {
    margin-top:10px;
}

textarea {
    width:100%;
    height:100px;
    border-radius:10px;
    padding:10px;
    border:none;
}

/* actions */
.actions {
    display:flex;
    gap:5px;
    margin-top:5px;
}

button {
    cursor:pointer;
    border:none;
    padding:8px;
    border-radius:8px;
}

/* main button */
.main-btn {
    width:100%;
    margin-top:15px;
    padding:12px;
    background:#ff4f9a;
    color:white;
}